RADICALE(1)

NAME
radicale - a simple calendar server

DESCRIPTION
usage: radicale [OPTIONS]

  optional arguments:

-h, --help
    show this help message and exit

--version
    show program's version number and exit

--verify-storage
    check the storage for errors and exit

-C CONFIG, --config CONFIG
    use a specific configuration file

  server:

-H SERVER_HOSTS, --hosts SERVER_HOSTS, --server-hosts SERVER_HOSTS
    set server hostnames including ports

-d, --daemon, --server-daemon
    launch as daemon

-f, --foreground, --no-server-daemon
    do not launch as daemon (opposite of --server-daemon)

-p SERVER_PID, --pid SERVER_PID, --server-pid SERVER_PID
    set PID filename for daemon mode

--server-max-connections SERVER_MAX_CONNECTIONS
    maximum number of parallel connections

--server-max-content-length SERVER_MAX_CONTENT_LENGTH
    maximum size of request body in bytes

--server-timeout SERVER_TIMEOUT
    socket timeout

-s, --ssl, --server-ssl
    use SSL connection

-S, --no-ssl, --no-server-ssl
    do not use SSL connection (opposite of --server-ssl)

-c SERVER_CERTIFICATE, --certificate SERVER_CERTIFICATE, --server-certificate SERVER_CERTIFICATE
    set certificate file

-k SERVER_KEY, --key SERVER_KEY, --server-key SERVER_KEY
    set private key file

--certificate-authority SERVER_CERTIFICATE_AUTHORITY, --server-certificate-authority SERVER_CERTIFICATE_AUTHORITY
    set CA certificate for validating clients

--server-protocol SERVER_PROTOCOL
    SSL protocol used

--server-ciphers SERVER_CIPHERS
    available ciphers

--server-dns-lookup
    use reverse DNS to resolve client address in logs

--no-server-dns-lookup
    do not use reverse DNS to resolve client address in logs (opposite of --server-dns-lookup)

--server-realm SERVER_REALM
    message displayed when a password is needed

  encoding:

--encoding-request ENCODING_REQUEST
    encoding for responding requests

--encoding-stock ENCODING_STOCK
    encoding for storing local collections

  auth:

--auth-type AUTH_TYPE
    authentication method

--auth-htpasswd-filename AUTH_HTPASSWD_FILENAME
    htpasswd filename

--auth-htpasswd-encryption AUTH_HTPASSWD_ENCRYPTION
    htpasswd encryption method

--auth-delay AUTH_DELAY
    incorrect authentication delay

  rights:

--rights-type RIGHTS_TYPE
    rights backend

--rights-file RIGHTS_FILE
    file for rights management from_file

  storage:

--storage-type STORAGE_TYPE
    storage backend

--storage-filesystem-folder STORAGE_FILESYSTEM_FOLDER
    path where collections are stored

--storage-max-sync-token-age STORAGE_MAX_SYNC_TOKEN_AGE
    delete sync token that are older

--storage-filesystem-fsync
    sync all changes to filesystem during requests

--no-storage-filesystem-fsync
    do not sync all changes to filesystem during requests (opposite of --storage-filesystem-fsync)

--storage-filesystem-locking
    lock the storage while accessing it

--no-storage-filesystem-locking
    do not lock the storage while accessing it (opposite of --storage-filesystem-locking)

--storage-filesystem-close-lock-file
    close the lock file when no more clients are waiting

--no-storage-filesystem-close-lock-file
    do not close the lock file when no more clients are waiting (opposite of --storage-filesystem-close-lockfile)

--storage-hook STORAGE_HOOK
    command that is run after changes to storage

  web:

--web-type WEB_TYPE
    web interface backend

  logging:

--logging-config LOGGING_CONFIG
    logging configuration file

-D, --debug, --logging-debug
    print debug information

--no-logging-debug
    do not print debug information (opposite of --loggingdebug)

--logging-full-environment
    store all environment variables

--no-logging-full-environment
    do not store all environment variables (opposite of --logging-full-environment)

--logging-mask-passwords
    mask passwords in logs

--no-logging-mask-passwords
    do not mask passwords in logs (opposite of --loggingmask-passwords)